import { OnInit } from '@angular/core';
import { File } from '../inspire-library.interface';
import * as i0 from "@angular/core";
export declare class PhotoCarouselComponent implements OnInit {
    photos: File[];
    initialPhotoSensitivities: boolean[];
    currentSlideIndex: number;
    slideConfig: any;
    constructor();
    ngOnInit(): void;
    toggleSensitivePhotoWarning(index: number): void;
    onAfterChange(event: {
        event?: any;
        slick?: any;
        currentSlide: number;
        first?: boolean;
        last?: boolean;
    }): void;
    static ɵfac: i0.ɵɵFactoryDef<PhotoCarouselComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<PhotoCarouselComponent, "ins-photo-carousel", never, { "photos": "photos"; }, {}, never, never>;
}
